IsEmptyString (Hamcrest 3.0 API)

org.hamcrest.text

## Class IsEmptyString

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<java.lang.String>
    - - org.hamcrest.text.IsEmptyString

- All Implemented Interfaces:
    Matcher<java.lang.String>, SelfDescribing

      public final class IsEmptyString
      extends TypeSafeMatcher<java.lang.String>

  Matches empty Strings (and null).

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeTo(Description description)` Generates a description of the object.
    `static Matcher<java.lang.String>` | `emptyOrNullString()` Creates a matcher of `String` that matches when the examined string is `null`, or has zero length.
    `static Matcher<java.lang.String>` | `emptyString()` Creates a matcher of `String` that matches when the examined string has zero length.
    `static Matcher<java.lang.String>` | `isEmptyOrNullString()` Deprecated. use is(emptyOrNullString()) instead
    `static Matcher<java.lang.String>` | `isEmptyString()` Deprecated. use is(emptyString()) instead
    `boolean` | `matchesSafely(java.lang.String item)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, describeMismatchSafely, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(java.lang.String item)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeMatcher<java.lang.String>`
      Parameters:
        `item` - the type safe item to match against.
      Returns:
        boolean true/false depending if item matches matcher.

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### isEmptyString

          @Deprecated
          public static Matcher<java.lang.String> isEmptyString()

      Deprecated. use is(emptyString()) instead
      Creates a matcher of `String` that matches when the examined string has zero length. For example:

          assertThat("", isEmptyString())

      Returns:
        The matcher.

    - #### emptyString

          public static Matcher<java.lang.String> emptyString()

      Creates a matcher of `String` that matches when the examined string has zero length. For example:

          assertThat("", is(emptyString()))

      Returns:
        The matcher.

    - #### isEmptyOrNullString

          @Deprecated
          public static Matcher<java.lang.String> isEmptyOrNullString()

      Deprecated. use is(emptyOrNullString()) instead
      Creates a matcher of `String` that matches when the examined string is `null`, or has zero length. For example:

          assertThat(((String)null), isEmptyOrNullString())

      Returns:
        The matcher.

    - #### emptyOrNullString

          public static Matcher<java.lang.String> emptyOrNullString()

      Creates a matcher of `String` that matches when the examined string is `null`, or has zero length. For example:

          assertThat(((String)null), is(emptyOrNullString()))

      Returns:
        The matcher.